Package org.eclipse.spi.net4j

## Interface InternalBuffer

- All Superinterfaces:
    `IBuffer`

      public interface InternalBuffer
      extends IBuffer

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.buffer.IBuffer

      `CHANNEL_ID_BYTES, CHANNEL_ID_POS, HEADER_SIZE, MAX_CHANNEL, MIN_CHANNEL, NO_CHANNEL, PAYLOAD_SIZE_BYTES, PAYLOAD_SIZE_POS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `void` | `setBufferProvider​(IBufferProvider bufferProvider)` |

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBuffer

      `clear, compact, flip, formatContent, get, get, getBufferProvider, getByteBuffer, getCapacity, getChannelID, getErrorHandler, getInt, getLimit, getPosition, getShort, getState, getString, hasRemaining, isCCAM, isEOS, put, put, putShort, release, setCCAM, setEOS, setErrorHandler, setLimit, setPosition, startGetting, startPutting, write`

- - ### Method Detail

    - #### setBufferProvider

          void setBufferProvider​(IBufferProvider bufferProvider)

    - #### dispose

          void dispose()